/apply endpoint. The response includes the ready-to-use eSIM profile.Note: Set your request timeout to at least 60 seconds. Fulfillment time may vary depending on the package ordered.
| Name | Type | Required | Description |
|---|---|---|---|
items | array | required | List of eSIM packages to order. Must contain at least one item. |
items[].packageId | string | required | The ID of the eSIM package to order. Retrieve valid IDs from the Get eSIM Packages endpoint. |
items[].quantity | number | required | Number of eSIMs to order for this package. |
referenceId | string | optional | Your own reference ID for the order, useful for reconciliation with your internal systems. |
curl --location 'https://api-dev.getroamify.com/api/esim/order/instant' \
--header 'Authorization: Bearer roamify_3fegvaRHZxZoAsB7Yg5KFs5ymSg3kBN1trn4DxRrqW1mDRoo9DueN6FSfNTuGndVGpR2iTyH4UVmZf39tVb5muWUPqBm1dh5eHiH5WkPN3wGLF8cr7MhemqekwK7rdqFizTZD9VDRq5P5RHAXzL2tCHfcrsskg2YoP8JE1fndNoiQCUSS1GBUUpmH' \
--header 'Content-Type: application/json' \
--data '{
"items": [
{
"packageId": "esim-cambodia-7days-1gb-all",
"quantity": 1
}
],
// "referenceId": "partner reference id(optional)"
}'application/json; charset=utf-8 content type is not supported in the response body